Subject: RE: [Mip4] Issue with 3344bis

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Fri, 2 Jun 2006 10:47:43 -0400

Hi all,

I think the source of the confusion is the word "configured". I think
this word (to some) means statically configured. But, it can also be
dynamically configured, right?

So, if we just clarify that:

"A mobile node MUST be statically or dynamically configured...."

Won't that suffice?

-Kuntal

> -----Original Message-----
> From: Kent Leung (kleung) [mailto:[email-masked]]
> Sent: Friday, June 02, 2006 1:14 AM
> To: Avi Lior; Narayanan, Vidya; Vijay Devarapalli
> Cc: Mobile IPv4 Mailing List
> Subject: RE: [Mip4] Issue with 3344bis
> 
> Here's a proposal:
> 
> Change:
> 
>  "A mobile node MUST be configured with a netmask and a mobility
>     security association for each of its home agents."
> 
> To:
> 
>  "A mobile node MUST have a netmask and a mobility
>     security association for each of its home agents.  The information
>     can be obtained dynamically by or configured on the mobile node."
> 
> Kent
> 
> > -----Original Message-----
> > From: Avi Lior [mailto:[email-masked]]
> > Sent: Thursday, June 01, 2006 10:18 PM
> > To: Narayanan, Vidya; Vijay Devarapalli
> > Cc: Mobile IPv4 Mailing List
> > Subject: RE: [Mip4] Issue with 3344bis
> >
> > ViJay,
> >
> > My original emails suggested that perhaps we say:
> >
> > Instead it should say that it MAY be configured with .....
> >
> >  or MUST be configurable with....
> >
> > Either of those cases support the manual or static
> > configuration and also the Dynamic configuration.
> >
> > The current wording only allows for static configuration of the
MN-HA.
> >
> > I agree with Vidya about the comments regarding your additional
text.
> > It is not necessary.
> >
> > > -----Original Message-----
> > > From: Narayanan, Vidya [mailto:[email-masked]]
> > > Sent: Friday, June 02, 2006 12:15 AM
> > > To: Vijay Devarapalli; Avi Lior
> > > Cc: Mobile IPv4 Mailing List
> > > Subject: RE: [Mip4] Issue with 3344bis
> > >
> > >
> > > >
> > > > Avi Lior wrote:
> > > > > Hi ViJay,
> > > > >
> > > > > Sorry but I don't think I agree with the MUST.  If I have a
> > > > method for
> > > > > bootstrapping MN-HA why MUST the MN be configured with an
MN-HA?
> > > > >
> > > > > I think we can come up with some text without
> > > specifically making a
> > > > > reference to 4433 and 3957.
> > > > >
> > > > > The problem is that the "MUST" requires that I configure at
> > > > least one
> > > > > MN-HA  to be compliant with 3344.
> > > >
> > > > I don't see it that way. 3344bis says there MUST be a security
> > > > association between the MN and the HA for the protocol to work.
> > > > Since it does not specify a way to dynamically configure
> > a security
> > > > association it *has* to say that a security association MUST be
> > > > configured on the MN. otherwise it cannot be standardized.
> > > >
> > >
> > > I agree with Avi on this. I don't see why there needs to be
> > a MUST on
> > > this one. If you say that an MN-HA SA MUST be available to
> > secure the
> > > RRQ/RRP, that makes sense - it does not make sense to say that
this
> > > MUST be "configured" per say.
> > >
> > > > I think the MUST is needed in the spec.
> > > >
> > > > perhaps we could add the following at the end of the paragraph.
> > > >
> > > >    Future specifications may define mechanisms to dynamically
> > > >    assign a home agent to a mobile node and setup a mobility
> > > >    security association between them. In this case, the mobile
> > > >    node need not be manually configured with a netmask or a
> > > >    mobility security association with its home agent.
> > > >
> > >
> > > But, we already have specifications that define this :) So, to
keep
> > > our eyes closed to the fact that we already have ways of
> > getting away
> > > from manual configuration does not seem to make sense to me.
> > >
> > > If you want to say that in the absence of a dynamic mechanism to
> > > acquire an MN-HA SA, it MUST be configured on the MN, that would
be
> > > fine.
> > >
> > > Vidya
> > >
> > > > Vijay
> > > >
> > > > >
> > > > >> -----Original Message-----
> > > > >> From: Vijay Devarapalli
> > [mailto:[email-masked]]
> > > > >> Sent: Thursday, June 01, 2006 6:06 PM
> > > > >> To: Avi Lior
> > > > >> Cc: Mobile IPv4 Mailing List
> > > > >> Subject: Re: [Mip4] Issue with 3344bis
> > > > >>
> > > > >> Avi Lior wrote:
> > > > >>>
> > > > >>> Sorry for the lateness of this comment...
> > > > >>>
> > > > >>>  Section 3.6
> > > > >>>
> > > > >>>  "A mobile node MUST be configured with a netmask and
> > a mobility
> > > > >>>     security association for each of its home agents."
> > > > >>>
> > > > >>>  This seems to be a bad thing if we are talking about
> > > roaming and
> > > > >>> dynamic HA assignement.
> > > > >>>
> > > > >> I think this is ok. as far as 3344bis is concerned, at
> > least the
> > > > >> netmask for the home link and a mobility security
> > association is
> > > > >> required for the protocol to work. later specifications
> > > talk about
> > > > >> how the protocol in 3344bis would work without having to
> > > > >> pre-configere a netmask (RFC4433), or without having to
> > > > pre-configure
> > > > >> a mobility security association (for e.g. RFC 3957).
> > > > >>
> > > > >> since there is a plan to advance 3344bis to draft standard
> > > > we don't
> > > > >> want normative references to RFC 4433 or RFC 3957.
> > > > >>
> > > > >> Vijay
> > > > >>
> > > >
> > > >
> > > > --
> > > > Mip4 mailing list: [email-masked]
> > > >     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
> > > >      Charter page:
> > > http://www.ietf.org/html.charters/mip4-charter.html
> > > > Supplemental site: http://www.mip4.org/
> > > >
> > >
> >
> > --
> > Mip4 mailing list: [email-masked]
> >     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
> >      Charter page:
http://www.ietf.org/html.charters/mip4-charter.html
> > Supplemental site: http://www.mip4.org/
> >
> 
> --
> Mip4 mailing list: [email-masked]
>     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
>      Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Fri, 2 Jun 2006 10:56:37 -0700

This text sounds good to me.

Vidya 

> Sent: Thursday, June 01, 2006 11:14 PM
> > The current wording only allows for static configuration of 
> the MN-HA.
> > 
> > I agree with Vidya about the comments regarding your 
> additional text.
> > It is not necessary. 
> > 
> > > > > bootstrapping MN-HA why MUST the MN be configured 
> with an MN-HA?
> > > > > 
> > > RRQ/RRP, that makes sense - it does not make sense to say 
> that this 
> > > But, we already have specifications that define this :) 
> So, to keep 
> > > acquire an MN-HA SA, it MUST be configured on the MN, 
> that would be 
> > > fine.
> > > 
> > > Vidya
> > > 
> > > > Vijay
> > > > 
> > > > >

---

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Fri, 2 Jun 2006 11:35:46 -0700

Hi Henrik.  I've probably read that text a hundred times over the years.
And probably have discussed it with other folks in the hallway.

If I recall correctly, my very initial interpretation was similar to
Avi's.  Then after spending some more time digesting the text, I had
concluded with Kuntal's observation.  That's why adding a few more words
for clarification won't hurt and likely helpful to get the right
understanding for folks reading the specification their first time.

Kent 

> From: Henrik Levkowetz [mailto:[email-masked]] 
> Sent: Friday, June 02, 2006 11:10 AM
> To: Avi Lior
> Cc: Kent Leung (kleung); Narayanan, Vidya; Vijay Devarapalli; 
> Mobile IPv4 Mailing List
> Hi Avi,
> on 2006-06-02 15:33 Avi Lior said the following:
> > Hi Henrik,
> > 
> > I am not disputing what you are saying at all.
> 
> Ok.
> 
> > It is just that when we read that sentence it gives the impression 
> > that the HA must be statically provisioned with a netmask and an SA.
> 
> Ok.  I accept that you read it that way, but disagree that it 
> actually gives that impression, as a general statement ;-)
> 
> > Rewording would help....I like Kent's verbage.
> 
> Ok.
> 
> > And I am not the only one mis-reading this.  
> 
> I'd like to hear from others, then...
> 
> Regards,
> 
> 	Henrik
> 
> >> From: Henrik Levkowetz [mailto:[email-masked]]
> >> Sent: Friday, June 02, 2006 3:24 AM
> >> To: Kent Leung (kleung)
> >> Cc: Narayanan, Vidya; Vijay Devarapalli; Mobile IPv4 Mailing List; 
> >> Avi Lior
> >> Hi Kent,
> >> The proposed text is ok, but the change is unnecessary.  
> The current 
> >> text doesn't say that you have to have MSA and netmask before you 
> >> have an assigned HA, even if Avi happened to mis-read it that way.
> >> 
> >> 
> >> 	Henrik
> >> 
> >> 
> >> on 2006-06-02 08:13 Kent Leung (kleung) said the following:
> >> > Here's a proposal:
> >> > 
> >> > Change:
> >> > 
> >> >> The current wording only allows for static configuration 
> >> of the MN-HA.
> >> >> 
> >> >> > > > method for bootstrapping MN-HA why MUST the MN be 
> >> configured with an MN-HA?
> >> >> > > > 
> specifically 
> >> >> > > > making a reference to 4433 and 3957.
> >> >> > > > 
> >> >> > > > least one MN-HA  to be compliant with 3344.
> >> >> > > 
> >> >> > > Since it does not specify a way to dynamically configure  a 
> >> >> > > security association it *has* to say that a security 
> >> association 
> >> >> > > MUST be configured on the MN. otherwise it cannot be 
> >> standardized.
> >> >> > > 
> >> >> > 
> >> >> > I agree with Avi on this. I don't see why there needs to 
> >> be  a MUST 
> >> >> > on this one. If you say that an MN-HA SA MUST be 
> available to  
> >> >> > secure the RRQ/RRP, that makes sense - it does not 
> make sense to 
> >> >> > say that this MUST be "configured" per say.
> >> >> > 
> >>  getting 
> >> >> > away from manual configuration does not seem to make 
> sense to me.
> >> >> > 
> >> >> > > >>>  This seems to be a bad thing if we are talking 
> >> about roaming 
> >> >> > > >>> and dynamic HA assignement.
> >> >> > > >>>   
> >> >> > > >> I think this is ok. as far as 3344bis is concerned, 
> >> at  least 
> >> >> > > >> the netmask for the home link and a mobility security  
> >> >> > > >> association is required for the protocol to work. later 
> >> >> > > >> specifications talk about how the protocol in 
> 3344bis would 
> >> >> > > >> work without having to pre-configere a netmask 
> >> (RFC4433), or 
> >> >> > > >> without having to pre-configure a mobility security 
> >> association (for e.g. RFC 3957).
> >> >> > > >>
> >> >> > > >> since there is a plan to advance 3344bis to draft 
> >> standard we 
> >> >> > > >> don't want normative references to RFC 4433 or RFC 3957.
> >> >> > > >>
> >> >> > > >> Vijay
> >> >> > > >>
> >> >> > > 
> >> >> > > 
> >> >> > > --
> >> >> > >     Web interface: 
> https://www1.ietf.org/mailman/listinfo/mip4
> >> >> > >      Charter page: